/**
 * componentExists
 *
 * Check whether the given component exist in either the components or containers directory
 */

const fs = require('fs');
const appRootPath = process.cwd()
const pageComponents = fs.readdirSync(`${appRootPath}/src/application/components`);
const pageContainers = fs.readdirSync(`${appRootPath}/src/application/templates`);
const components = pageComponents.concat(pageContainers);

function componentExists(comp) {
  return components.indexOf(comp) >= 0;
}

module.exports = componentExists;
